Package org.gradle.plugins.ide.eclipse.model

# Class Link

java.lang.Object
org.gradle.plugins.ide.eclipse.model.Link

public class Link extends Object
Link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Link(String name, String type, String location, String locationUri)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getLocation()`
  `String`
  `getLocationUri()`
  `String`
  `getName()`
  `String`
  `getType()`
  `int`
  `hashCode()`
  `void`
  `setLocation(String location)`
  `void`
  `setLocationUri(String locationUri)`
  `void`
  `setName(String name)`
  `void`
  `setType(String type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Link

    public Link(String name, String type, String location, String locationUri)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getLocation

    public String getLocation()

  - ### setLocation

    public void setLocation(String location)

  - ### getLocationUri

    public String getLocationUri()

  - ### setLocationUri

    public void setLocationUri(String locationUri)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`